Continue to Site

Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations waross on being selected by the Eng-Tips community for having the most helpful posts in the forums last week. Way to Go!

slot routine

Status
Not open for further replies.

rwbaker

Computer
Mar 27, 2004
37
i have been trying to create a lisp program that will draw a slot but am having problems with it not sure where the problem is
it will not draw the slot to correct size
any help would be appricated

thanks

(defun C:SLOT (/ A B B1 B2 C D PW)
(setq PW (getvar"PLINEWID"))
(initget 1)
(setq B1 (getdist "\nLength of slot: "))
(setq B2 (/ B1 2.0))
(setq B (list B2 0.0))
(initget 1)
(setq C (list 0.0 (getdist "\nWidth of slot: ")))
(initget 1)
(while
(setq A (getpoint "\nInsertion point: "))
(setq D (list (- (car A) (/ (car B) 2)) (- (cadr A) (/ (cadr C) 2))))
(setvar "PLINEWID" 0)
(command "_.pline"
D
(mapcar '+ D B)
"_a"
(mapcar '+ D B C)
"_l"
(mapcar '+ D C)
"_a"
"_cl")
);while
(setvar "PLINEWID" PW)
(princ)
)
 
Replies continue below

Recommended for you

I did not check your code but there are a lot of slot routines on the internet that may be a little handier.

"Everybody is ignorant, only on different subjects." — Will Rogers
 
could you possibly point me to some
I have looked...
 
I had no trouble with your lisp routine. What trouble were you having?
 
rwbaker,

Here is a problem that I usually run into. If you have your OSNAPS on, the LISP routine will generally give you a strange result. I loaded your LISP and tried it. It seemed to draw a single line. I shut off the OSNAPS and then it seemed to run correctly. If you need to be able to pick points as you are using the LISP, I simply add in the lines to shut off the OSNAPS and then turn them on before and after each pickpoint. See if that helps for you.

Also, I noticed that the slots do not come out to the correct length. The width is right, but, the length is too short. You may need to review the Pline geometry to make sure that it is correct.

Hope this helps,
Paul
 
Status
Not open for further replies.

Part and Inventory Search

Sponsor